LibreOffice: AccessibleSpreadsheetDocumentView Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
AccessibleSpreadsheetDocumentView Service Reference

The accessible view of a spreadsheet document. More...

`import"AccessibleSpreadsheetDocumentView.idl";`

Inheritance diagram for AccessibleSpreadsheetDocumentView:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface gives access to any object that is contained in this document. More...
interface | ::com::sun::star::accessibility::XAccessibleComponent
| This interface gives access to the visibility of the document. More...
interface | ::com::sun::star::accessibility::XAccessibleSelection
| This interface is for selecting the document's children like shapes or the whole table. More...
interface | ::com::sun::star::accessibility::XAccessibleEventBroadcaster
| This is the interface for listeners. More...

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children. More...
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object. More...
XAccessible | getAccessibleParent ()
| Returns the parent of this object. More...
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent. More...
short | getAccessibleRole ()
| Returns the role of this object. More...
string | getAccessibleDescription ()
| Returns the object's description. More...
string | getAccessibleName ()
| Return the object's localized name. More...
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object. More...
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object. More...
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds. More...
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point. More...
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object. More...
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent. More...
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates. More...
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box. More...
void | grabFocus ()
| Grabs the focus to this object. More...
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object. More...
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object. More...
Public Member Functions inherited from XAccessibleSelection
void | selectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Selects the specified Accessible child of the object. More...
boolean | isAccessibleChildSelected ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Determines if the specified child of this object is selected. More...
void | clearAccessibleSelection ()
| Clears the selection, so that no children of the object are selected. More...
void | selectAllAccessibleChildren ()
| Select all children. More...
long | getSelectedAccessibleChildCount ()
| Returns the number of Accessible children that are currently selected. More...
XAccessible | getSelectedAccessibleChild ([in] long nSelectedChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the specified selected Accessible child. More...
void | deselectAccessibleChild ([in] long nChildIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Removes the specified child from the set of this object's selected children. More...
Public Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener. More...
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener. More...

## Detailed Description

The accessible view of a spreadsheet document.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

This interface gives access to the visibility of the document.

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface gives access to any object that is contained in this document.

- The parent returned by getAccessibleParent() is the window which contains the view of these document.

- The children returned by getAccessibleChild() all support the interface XAccessible. Calling getAccessibleContext() for these children returns an object that supports one of the following services.

  - com::sun::star::sheet::AccessibleSpreadsheet: A child where calling getAccessibleChild() an object that supports this service is returned for the current spreadsheet which is showing in this document window. There is every time one child which supports this service, because it is only possible to have one spreadsheet in the current document window.
  - com::sun::star::drawing::AccessibleShape: A child where calling getAccessibleChild() an object that supports this service is returned for every shape that is at the current table. These objects are children of the AccessibleSpreadsheetDocumentView regardless whether they are bound to a table or a cell.
  - com::sun::star::text::AccessibleParagraphView: A child where calling getAccessibleChild() an object that supports this service is returned for the current cell in edit mode. This is necessary to have an object which allows event listeners. It exists only if a cell is in edit mode.
  - com::sun::star::accessibility::AccessibleContext: A child where calling getAccessibleChild() an object that supports this service is returned for the current OLE object in edit mode. It exists only if a OLE object is in edit mode.

  The following rules apply to the children order. General it represents the paint order. The object in the background came first and than all over lying objects. The last painted object is also the last child.

  - Graphics, embedded objects and shapes appear before the other children if they are painted in the background. Their order reflects the z order.
  - The current table is painted after the background and so it comes after all background objects.
  - Graphics, embedded objects and shapes appear behind any other children except controls if they are painted in the foreground. Their order reflects the z order.
  - Controls appear behind the other graphic objects. Their order reflects the z order.
  - The temporary object for the cell or OLE in edit mode (only one can exist in the same time) is the last object.
- The description is ???.
- The name is Spreadsheet Document View with a unique number.
- The role is com::sun::star::accessibility::AccessibleRole::DOCUMENT_SPREADSHEET
- There are no relations.
- The following states are supported:
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC is always false until the document is closed.
  - com::sun::star::accessibility::AccessibleStateType::EDITABLE is always true.
  - com::sun::star::accessibility::AccessibleStateType::ENABLED is always true.
  - com::sun::star::accessibility::AccessibleStateType::MULTI_LINE makes no sense in on a document and so it is left out of the list.
  - com::sun::star::accessibility::AccessibleStateType::MULTI_SELECTABLE is always false, because a document is not selectable. Only the children are selectable. So it is left out of the list.
  - com::sun::star::accessibility::AccessibleStateType::OPAQUE is always true.
  - com::sun::star::accessibility::AccessibleStateType::RESIZABLE is always false, because you can resize the window, but not the document. So it is left out of the list.
  - com::sun::star::accessibility::AccessibleStateType::SELECTABLE is always false, because a document is not selectable. Only the children are selectable. So it is left out of the list.
  - com::sun::star::accessibility::AccessibleStateType::SELECTED is always false, because a document is not selectable. Only the children are selectable. So it is left out of the list.
  - com::sun::star::accessibility::AccessibleStateType::SHOWING is true if the Bounding Box lies in the Bounding Box of the parent. Otherwise it is false.
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE is always true.

## ◆ ::com::sun::star::accessibility::XAccessibleEventBroadcaster

interface ::com::sun::star::accessibility::XAccessibleEventBroadcaster

This is the interface for listeners.

## ◆ ::com::sun::star::accessibility::XAccessibleSelection

interface ::com::sun::star::accessibility::XAccessibleSelection

This interface is for selecting the document's children like shapes or the whole table.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/AccessibleSpreadsheetDocumentView.idl